Subject: Re: bug#39491: 28.0.50; two bugs in battery-upower

From: Nicolas Richard <[email-masked]>
Date: Sat, 21 Mar 2020 11:45:36 +0100

(I'm sorry if this comes to you as a duplicate, I think I sent it by error
to the wrong set of people)

[email-masked] writes:
> If level is unavailable and AC is off-line/unknown, then it should be empty string I think.  User could see the battery level is low/critical by percentage

I committed a oneliner doing that, pushed as fix/bug-39491

See: https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=fix/bug-39491

It's been a long time since I didn't commit to emacs, can you check if
it's OK to merge ?

I'm aware that it is not a full fix because it doesn't address the
following :

> OK, we should generalize multi-battery code then, so each status func
> won’t reimplement multi battery handling.

but at least it stops the error.

-- 
Nicolas